> ## Documentation Index
> Fetch the complete documentation index at: https://doc.haipay.net/llms.txt
> Use this file to discover all available pages before exploring further.

# 代收申请 MIT模式

> 代收申请 MIT模式，appId需使用美元对应的，用户支付成功后增加美元余额

<Note>本页所有示例请求均基于**沙盒（测试）环境**，请注意区分正式环境。</Note>

<div class="flex flex-col gap-4">
  <div class="api-section-heading flex flex-col gap-y-4 w-full">
    <div class="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
      <h4 class="api-section-heading-title flex-1 mb-0">密钥私钥(生成签名)</h4>
    </div>

    <div />
  </div>

  <input id="secret-key" placeholder="密钥" class="px-3 py-2 border rounded-md" />

  <input id="private-key" placeholder="私钥" class="px-3 py-2 border rounded-md" />
</div>

## 相关主题

* [国际信用卡(VISA/MASTER)支付接口](/docs/zh/V20260701/api/version2/creditcard)
* [HaiPay API 文档简介](/docs/zh/api-reference/overview)
* [HaiPay 配置与签名指南](/docs/zh/guide/config_settings_and_signature_rules_guide)


## OpenAPI

````yaml docs/zh/V20260701/api-reference/card/card.openapi.json POST /usd/mit/apply
openapi: 3.0.1
info:
  title: 默认模块
  description: ''
  version: 1.0.0
servers:
  - url: https://uat-interface.haipay.asia
    description: 测试-interface
security: []
tags: []
paths:
  /usd/mit/apply:
    post:
      tags: []
      summary: 信用卡代收申请 MIT模式
      description: appId需使用美元对应的，用户支付成功后增加美元余额
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                appId:
                  type: integer
                  description: 业务ID（后台获取，需要根据URL中的币种传递对应的业务ID）
                orderId:
                  type: string
                  description: 商户订单号(必须保证唯一性，长度不超过48)
                  maxLength: 48
                name:
                  type: string
                  description: 用户姓名，推荐使用真实姓名，格式：包含firstName和lastName，以空格分割的，示例：John Doe
                phone:
                  type: string
                  description: 真实手机号（格式参考电话号码格式）
                email:
                  type: string
                  description: 真实电子邮件
                  format: email
                amount:
                  type: string
                  description: 交易金额（精确到小数点后两位；禁止添加标点符号，例如：","）
                  pattern: ^\d+\.\d{2}$
                payType:
                  type: string
                  description: 支付方式类型
                inBankCode:
                  type: string
                  description: 支付方式编码
                clientIp:
                  type: string
                  description: 用户端ip
                  format: ipv4
                callBackUrl:
                  type: string
                  description: 用户支付成功后跳转地址
                  format: uri
                callBackFailUrl:
                  type: string
                  description: 用户支付失败后跳转地址
                  format: uri
                notifyUrl:
                  type: string
                  description: 回调地址
                  format: uri
                subject:
                  type: string
                  description: 支付备注
                body:
                  type: string
                  description: 备注详情
                partnerUserId:
                  type: string
                  description: >-
                    用户唯一标识（如用户ID
                    userId），用于风控系统，必须真实有效，否则会影响交易。格式要求：数字、大小写字母或常用符号-~!@#$%&*()_。
                  pattern: ^[A-Za-z0-9\-~!@#$%&*()_]+$
                tokenID:
                  type: string
                  description: 支付令牌，首次交易不需要，后续主动扣款需要，通过回调获取
                loadingType:
                  type: integer
                  description: 0（默认） – 显示正常的支付结果页面; 1 – 显示加载中动画（loading 转圈），不展示订单信息。
                  enum:
                    - 0
                    - 1
                cancelUrl:
                  type: string
                  description: 用户取消支付URL，如果传递，用户可在支付页面点击返回到此页面
                  format: uri
                sign:
                  type: string
                  description: 签名
              required:
                - appId
                - orderId
                - amount
                - payType
                - inBankCode
                - callBackUrl
                - callBackFailUrl
                - subject
                - partnerUserId
                - sign
              additionalProperties: false
            example:
              appId: 1054
              orderId: M233323000059
              name: Robert Taylor
              phone: '+12025551234'
              email: robert.taylor@gmail.com
              amount: '299.99'
              payType: CREDIT_CARD
              inBankCode: CREDIT_CARD
              clientIp: 203.0.113.1
              callBackUrl: https://merchant.com/payment/success
              callBackFailUrl: https://merchant.com/payment/fail
              notifyUrl: https://merchant.com/api/notify
              subject: Payment for order
              body: Premium subscription
              partnerUserId: '149597870'
              tokenID: tok_abc123def456
              loadingType: 0
              cancelUrl: https://merchant.com/payment/cancel
              sign: >-
                af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: 状态码
                  error:
                    type: string
                    description: 错误码
                  msg:
                    type: string
                    description: 返回信息
                  data:
                    type: object
                    properties:
                      orderId:
                        type: string
                        description: 商户订单号
                      orderNo:
                        type: string
                        description: 平台订单号
                      payUrl:
                        type: string
                        description: 支付链接
                      clientToken:
                        type: string
                        description: 客户端令牌
                      sign:
                        type: string
                        description: 签名
                    additionalProperties: false
                additionalProperties: false
              example:
                status: '1'
                error: '00000000'
                msg: success
                data:
                  orderId: M233323000059
                  orderNo: '6023071013539074'
                  payUrl: https://pay.haipay.asia/cashier/1L9zQS2
                  clientToken: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9
                  sign: >-
                    af0gAHkUOyYHu9owQp8NJ4mPEeUW4vuJcjdxqLIzrVw8AvpLSjD1DXupReSG/CyuSkFRyiIvCp5u703AuGGmfgD2gKDH3Ywau41bAbG2jnHJ8mtjiSJ5iWUzanyd4Kr7d1+rETbzUl7/BkW3t0X8UUFdqpxwG8DPUjAwUKfplWDHV7koG51Ozexd80DCsmW6eWdouAZ1uNXGLYmV3ftE3BmfNRtuv1C5bfTJWrTEIOxbF6g2uYOFZTlIgrQgd7/2PsAYwQQXNz8Q8CYl4OxqCv4pXJxaLWPbR5tqZu9og5kn32C9aHW/NlU1y39vzz+4ef81yPAqUV9oHlSMSPrMmw==
          headers: {}
      deprecated: false
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.